<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_1a1a1a"
    android:gravity="center"
    android:orientation="vertical">

    <ProgressBar
        android:id="@+id/pb_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:indeterminateDrawable="@drawable/shape_live_video_progress"
        android:max="100" />

    <TextView
        android:id="@+id/tv_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingTop="10dp"
        android:text="加载中"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12" />

    <TextView
        android:id="@+id/tv_live_status_tip_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="7dp"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:text="直播加载失败,您的网络可能不佳"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@+id/iv_center_icon"
        app:layout_constraintRight_toRightOf="@+id/iv_center_icon"
        app:layout_constraintTop_toBottomOf="@+id/iv_center_icon" />

    <TextView
        android:id="@+id/tv_retry"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="7dp"
        android:background="@drawable/shape_gray_14dp_border_white"
        android:paddingStart="18dp"
        android:paddingTop="4dp"
        android:paddingEnd="18dp"
        android:paddingBottom="4dp"
        android:text="重试"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@+id/iv_center_icon"
        app:layout_constraintRight_toRightOf="@+id/iv_center_icon"
        app:layout_constraintTop_toBottomOf="@+id/iv_center_icon"
        tools:text="重试" />
</LinearLayout>